> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace Access



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/users/{userId}/workspace-access
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/users/{userId}/workspace-access:
    get:
      tags:
        - Workspace Access
      summary: Get Workspace Access
      operationId: WorkspaceAccessController_get_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: userId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberWorkspaceAccessResponseDto'
components:
  schemas:
    MemberWorkspaceAccessResponseDto:
      type: object
      properties:
        userId:
          type: string
        isOwner:
          type: boolean
        exempt:
          type: boolean
        stored:
          $ref: '#/components/schemas/StoredWorkspaceAccessDto'
        effective:
          $ref: '#/components/schemas/EffectiveWorkspaceAccessDto'
        specifications:
          type: string
          enum:
            - none
            - edit
            - view
      required:
        - userId
        - isOwner
        - exempt
        - stored
        - effective
        - specifications
    StoredWorkspaceAccessDto:
      type: object
      properties:
        contactBook:
          type:
            - string
            - 'null'
          enum:
            - none
            - view
            - edit
            - null
        createProjects:
          type:
            - boolean
            - 'null'
      required:
        - contactBook
        - createProjects
    EffectiveWorkspaceAccessDto:
      type: object
      properties:
        contactBook:
          type: string
          enum:
            - none
            - view
            - edit
        createProjects:
          type: boolean
        specifications:
          type: string
          enum:
            - none
            - edit
            - view
        limitedBy:
          $ref: '#/components/schemas/WorkspaceAccessLimitedByDto'
      required:
        - contactBook
        - createProjects
        - specifications
        - limitedBy
    WorkspaceAccessLimitedByDto:
      type: object
      properties:
        contactBook:
          type:
            - string
            - 'null'
          enum:
            - override
            - null
        createProjects:
          type:
            - string
            - 'null'
          enum:
            - specifications
            - override
            - null
      required:
        - contactBook
        - createProjects

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.